#!/usr/bin/env python

from gamera import gendoc

if __name__ == '__main__':
   # Step 1:
   # Import all of the plugins to document.
   # Be careful not to load the core plugins, or they
   # will be documented here, too.
   # If the plugins are not already installed, we'll just ignore
   # them and generate the narrative documentation.
   try:
      #from gamera.toolkits.otr import otr_staff
      #from gamera.toolkits.otr import otr_glyph
      from gamera.toolkits.otr.plugins import otr_staff_plugins
   except ImportError:
      print "WARNING:"
      print "This `otr` toolkit must be installed before generating"
      print "the documentation.  For now, the system will skip generating"
      print "documentation for the plugins."
      print

   # Step 2:
   # Generate documentation for this toolkit
   # This will handle any commandline arguments if necessary
   gendoc.gendoc(classes=[("gamera.toolkits.otr.otr_staff",
                           "TabPage",
                           "__init__" +\
                           " remove_staves" +\
                           " get_staffcourse" +\
                           " get_staffboxes" +\
                           " remove_barlines"),
                          ("gamera.toolkits.otr.otr_glyph",
                           "TabGlyphList",
                           "__init__" +\
                           " set_glyph_properties" +\
                           " to_abctab" +\
                           " to_abcmusic" +\
									" split_diapasons"),
                          ("gamera.toolkits.otr.german_page",
                           "GermanLutePage",
                           "__init__" +\
                           " mark_bars" +\
                           " mark_lines"),
                          ("gamera.toolkits.otr.german_glyph",
                           "GermanGlyph",
                           "__init__" +\
                           " to_abcmusic" +\
                           " mark_note_groups" +\
                           " mark_flag_groups"),
                          ("gamera.toolkits.otr.to_abcmusic",
                           "ToAbcmusic",
                           "__init__")],
                 plugins=["OTR", "preprocessing"])
